Bug 1113044 - Jboss-on-agent packages conflicts in jbappplatform-6-i386-server-6-rpm RHN channel
Summary: Jboss-on-agent packages conflicts in jbappplatform-6-i386-server-6-rpm RHN ch...
Status: CLOSED ERRATA
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: RPM
Version: JON 3.1.2,JON 3.2
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: CR01
: JON 3.3.3
Assignee: Stefan Negrea
QA Contact: Armine Hovsepyan
URL:
Whiteboard:
Keywords: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-25 10:54 UTC by Katerina Odabasi
Modified: 2018-01-04 02:50 UTC (History)
9 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-07-30 16:41:19 UTC


Attachments (Terms of Use)
conflict.log (14.51 KB, text/plain)
2015-07-21 11:34 UTC, Armine Hovsepyan
no flags Details
conflict.log.July24 (8.53 KB, text/plain)
2015-07-24 14:31 UTC, Armine Hovsepyan
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1525 normal SHIPPED_LIVE Moderate: Red Hat JBoss Operations Network 3.3.3 update 2015-07-30 20:41:08 UTC

Description Katerina Odabasi 2014-06-25 10:54:44 UTC
Description of problem:
When installed package jboss-on-agent from jbappplatform-6-i386-server-6-rpm RHN channel, "yum check" results to the following error:

jboss-on-agent-3.1.2.GA-1.el6_5.1.noarch has installed conflicts jboss-on-agent: jboss-on-agent-3.1.2.GA-1.el6_5.1.noarch

The similar happens if you install jboss-on-agent-3.2 package instead.

Version-Release number of selected component (if applicable):
3.1.2, 3.2
How reproducible:
always

Steps to Reproduce:
1. Subscribe to jbappplatform-6-i386-server-6-rpm RHN channel
2. yum install jboss-on-agent
3. yum check all

Actual results:
jboss-on-agent-3.1.2.GA-1.el6_5.1.noarch has installed conflicts jboss-on-agent: jboss-on-agent-3.1.2.GA-1.el6_5.1.noarch

Expected results:
no conflicts

Additional info:
The current state of jbappplatform-6-i386-server-6-rpm RHN channel has caused by [1] errata which didn't pass TPS tests (neither Errata nor DistQA TPS phase) which are mandatory part of the standard Errata testing process.

[1] https://errata.devel.redhat.com/advisory/17632

Comment 1 Hynek Mlnarik 2014-06-25 11:28:42 UTC
Same issue is manifested in RHUI. The following commands were run in a instance with already installed jboss-on-agent and jboss-on-agent-init-ec2 packages, which were upgraded after performing "yum update" command.

# yum check all
Loaded plugins: amazon-id, rhui-lb, security
jboss-on-agent-3.1.2.GA-1.el6_5.1.noarch has installed conflicts jboss-on-agent: jboss-on-agent-3.1.2.GA-1.el6_5.1.noarch
jboss-on-agent-init-ec2-3.1.2.GA-1.el6_5.1.noarch has installed conflicts jboss-on-agent-init-ec2: jboss-on-agent-init-ec2-3.1.2.GA-1.el6_5.1.noarch

# rpm --verify --all | perl -ne 'print if (! /\S{9}\s{1,2}c\s/)'"
Unsatisfied dependencies for jboss-on-agent-init-ec2-3.1.2.GA-1.el6_5.1.noarch:
	jboss-on-agent-init-ec2 conflicts with jboss-on-agent-init-ec2-3.1.2.GA-1.el6_5.1.noarch
	jboss-on-agent-init-ec2 conflicts with jboss-on-agent-init-ec2-3.1.2.GA-1.el6_5.1.noarch
Unsatisfied dependencies for jboss-on-agent-3.1.2.GA-1.el6_5.1.noarch:
	jboss-on-agent conflicts with jboss-on-agent-3.1.2.GA-1.el6_5.1.noarch
	jboss-on-agent conflicts with jboss-on-agent-3.1.2.GA-1.el6_5.1.noarch

Comment 3 Stefan Negrea 2014-09-02 19:28:02 UTC
The TPS report from comment #1 is completely missing. Could you please re-run to see the exact error? Also, could you please provide more context for the error?


Also, the conflicts and provides tags for the RPM were deliberately set to the current values to prevent automatic update between non-patch versions of the RPM. Please read bug 1118752 comment 2 for the exact details and testing done for the RPM.


Is this TPS error preventing any channel releases?

Comment 4 Katerina Odabasi 2014-09-10 13:54:42 UTC
This error doesn't prevent channel releases from our (EAP) side.
We will rerun the tests in next week EAP 6.3.1 testing and will let you know.

Comment 5 Stefan Negrea 2014-09-22 20:36:54 UTC
Katerina, any news about the EAP 6.3.1 channel test runs?

Comment 6 Katerina Odabasi 2014-09-29 14:37:20 UTC
Stefan, sorry for the delay. In the EAP 6.3.1 the results are still the same as described in the first comment.

Comment 8 Simeon Pinder 2015-01-19 20:52:58 UTC
Moving into CR01 target milestone as missed ER01 cutoff.

Comment 10 Simeon Pinder 2015-04-13 05:24:35 UTC
Moving into CR01 as missed ER01 cutoff.

Comment 15 Simeon Pinder 2015-07-10 18:55:42 UTC
Available for test with 3.3.3 ER01 build: 
https://brewweb.devel.redhat.com/buildinfo?buildID=446732
 *Note: jon-server-patch-3.3.0.GA.zip maps to ER01 build of
 jon-server-3.3.0.GA-update-03.zip.

Comment 16 Armine Hovsepyan 2015-07-21 11:34:00 UTC
Created attachment 1054308 [details]
conflict.log

Comment 17 Armine Hovsepyan 2015-07-21 12:22:44 UTC
@Stefan, @Katerina, could you please double-check the log file attached?
The conflict log is updated with JON version ( the same log repeated 3 times ).

The conflict log is still visible, but does not break the repo - you can still install the new JON version or any other RPM from channel.

Not sure if this should be considered as fixed or not, since the conflict still exists but without any harm to system.

Comment 19 Simeon Pinder 2015-07-24 06:19:55 UTC
Available for test with following build:
 https://brewweb.devel.redhat.com/buildinfo?buildID=448923
   *Note: jon-server-patch-3.3.0.GA.zip maps to CR01 build of
   jon-server-3.3.0.GA-update-03.zip.

Comment 20 Armine Hovsepyan 2015-07-24 14:31:00 UTC
Created attachment 1055746 [details]
conflict.log.July24

Comment 21 Armine Hovsepyan 2015-07-24 14:32:22 UTC
verified with latest RPM build from errata. See log file attached for both RHEL6 and RHEL7.

Comment 23 errata-xmlrpc 2015-07-30 16:41:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-1525.html


Note You need to log in before you can comment on or make changes to this bug.